AddCone Example |
Using Programming Languages other than VBA
Sub Example_AddCone() ' This example creates a cone in model space. Dim coneObj As Acad3DSolid Dim radius As Double Dim center(0 To 2) As Double Dim height As Double ' Define the cone center(0) = 0#: center(1) = 0#: center(2) = 0# radius = 5# height = 20# ' Create the Cone (3DSolid) object in model space Set coneObj = ThisDrawing.ModelSpace.AddCone(center, radius, height) ' Change the viewing direction of the viewport to better see the cone Dim NewDirection(0 To 2) As Double NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1 ThisDrawing.ActiveViewport.direction = NewDirection ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport ZoomAll End Sub
Comments? |